commit:     5c15d7e9bf18a8a8b561174a1af538088c01499e
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 10 15:33:14 2017 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Jul 10 15:33:34 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c15d7e9

sys-block/storcli: Bump to v1.23.02

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 sys-block/storcli/Manifest               |  2 +
 sys-block/storcli/storcli-1.23.02.ebuild | 80 ++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/sys-block/storcli/Manifest b/sys-block/storcli/Manifest
index e487aeb08a5..a27b8675e28 100644
--- a/sys-block/storcli/Manifest
+++ b/sys-block/storcli/Manifest
@@ -2,3 +2,5 @@ DIST storcli-1.19.04.zip 41606377 SHA256 
026456cf30e1f14f33a42eb5804dcf9fb6d3b79
 DIST storcli-1.20.15.zip 47065136 SHA256 
04272ebe0978f22d065193988561a128215f7797854b23ad0cdf741f2b234ae6 SHA512 
8d0bd39c005b26ad0eb3db045ae8f303eb36333b569c1be9d1e599c0845b2427f473015c4f75859dd283f8ec5072a3037f1a0810c9ad54b6b552a9c08bfdba05
 WHIRLPOOL 
b19cb84252b65b44b3fde752cf6bc9cf890554ed105a965e2a8917ccfaac2a58620062b08774be4271d4ca3aa12a0b53840cc02551aea3d63ad274cdde59b8e6
 DIST storcli-1.21.06.zip 48578520 SHA256 
499e4c26d7ddcc37ccf198816444f4cc2e68724d01762aef36eda360e6ef5b0f SHA512 
714d8588566d2baf51cd67e958c9dfdb3f2eb0776a7fa2a9cb46ddad74b8e8a5e1515bf6e3746184b70187c83323b040bf902a2a357e928ad7d3525d3005c71e
 WHIRLPOOL 
e56aa67c0044949614b62920e2c1fbdb491cfe3d89d12a88460554397e5f44d8ca139266f8eaa523298ea4bc315a6583cefffa60f7d66a37c85a30e20aa2d747
 DIST storcli-1.21.06_readme.txt 199925 SHA256 
30ebccb7a8fefa14514510ca2bd26ca7b67628958c18af697e128da498be3dcd SHA512 
78524212b5d95bd62ef692bb715f6ae977811fd5522498915a4dbbd74a5d783d176fe318c0a0b7aad1b23419c78d205267f19b55790519dcc6d7e1d873498bad
 WHIRLPOOL 
bde52e5da198fd73943f455a9f85100d0fc2220e2a7f56e4277acf473278ef756374d841206e8763126f4c3f8f5bee88e9243e313dbc4973333676fe761dda97
+DIST storcli-1.23.02.zip 48778476 SHA256 
d7cd07b7af93cbeb5735f5d4754fb5cb0fa92af3965017c6642e5273e10eb8ff SHA512 
2018c8b40d7371077f01bbe586ed1135d683823b9d243fde14d45404c8bab8328f36e19ac91eb876666a174a7cce7e95a2a75485f70681460cda4c9b65d4d579
 WHIRLPOOL 
ed010dd3120d32ca8a6b75a474dde27d02221c230243c5df1e69114e52aa29b8662b4acdda9d77a1b43a7defc4c8183f2444eb37ad144b60afbe315267f3a069
+DIST storcli-1.23.02_readme.txt 201906 SHA256 
7b8d5e63b80634ace0993c3ee40ac9c564e09473ac5d2c017ecbd0f08a002e55 SHA512 
9eefe69aee1a65339d2360759ba574f632a21bd3d13ba9d4cb0a86980e652addf5f7d2b650588f659caaa8ee302c48bc27b9f3ad7455e65d34dbcff0a8188e03
 WHIRLPOOL 
23bde95444fca8433868a4232417abdee9b914b4d8a6cf244e90b7c5f187854194445f9cff43c51a8874792f43491124a064cb465b33e8ae79f190265c24aba6

diff --git a/sys-block/storcli/storcli-1.23.02.ebuild 
b/sys-block/storcli/storcli-1.23.02.ebuild
new file mode 100644
index 00000000000..5d1cf5644ce
--- /dev/null
+++ b/sys-block/storcli/storcli-1.23.02.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit pax-utils
+
+# Upstream messed up packaging:
+# This is v1.21.06 according to "storcli -v" but ZIP is named v1.21.16..
+# Also, README is isn't included in archive.
+MY_PV="1.23.02"
+
+DESCRIPTION="MegaRAID StorCLI (successor of the MegaCLI)"
+HOMEPAGE="https://www.broadcom.com/support/download-search?dk=storcli";
+SRC_URI="https://docs.broadcom.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/${MY_PV}_StorCLI.zip
 -> ${P}.zip
+       
https://docs.broadcom.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/${PV}_StorCLI.txt
 -> ${P}_readme.txt"
+
+LICENSE="Avago LSI BSD"
+SLOT="0/6.14"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND=""
+
+DOCS=( readme.txt license.txt )
+
+MY_STORCLI_BASEDIR="/opt/lsi/storcli"
+
+QA_PRESTRIPPED="${MY_STORCLI_BASEDIR:1}/storcli"
+
+src_unpack() {
+       local _src_file
+
+       for _src_file in ${A}; do
+               if [[ ${_src_file} == *.txt ]]; then
+                       cp "${DISTDIR}/${_src_file}" "${WORKDIR}" || die 
"Failed to copy '${_src_file}' to '${WORKDIR}'!"
+               else
+                       unpack ${_src_file}
+               fi
+       done
+
+       unpack "${WORKDIR}"/storcli_All_OS.zip
+
+       mv storcli_All_OS/Ubuntu/storcli_*.deb "${WORKDIR}" || die "Failed to 
move storclli_*.deb"
+
+       # Unpack Ubuntu package which will be our $S content
+       unpack "${WORKDIR}"/storcli_*.deb
+       rm -f storcli_*.deb || die "Failed to cleanup storcli_*.deb package"
+       unpack "${WORKDIR}"/data.tar.gz
+
+       mkdir "${S}" || die "Failed to create '${S}'"
+}
+
+src_prepare() {
+       default
+
+       # Create clean $S
+       mv "${WORKDIR}"/*_readme.txt "${S}"/readme.txt || die "Failed to move 
*CLI.txt to readme.txt"
+       mv "${WORKDIR}"/storcli_All_OS/Linux/license.txt "${S}"/license.txt || 
die "Failed to move Linux/license.txt"
+       rm -rf "${WORKDIR}"/storcli_All* || die "Failed to cleanup storcli_all* 
dirs/files"
+       mv "${WORKDIR}"/opt/Mega*/storcli/* "${S}" || die "Failed to move 
storcli_.deb content to '${S}'"
+       rm -rf "${WORKDIR}"/{opt,control.tar.gz,data.tar.gz,debian-binary} || 
die "Failed to cleanup no longer needed files"
+}
+
+src_install() {
+       exeinto "${MY_STORCLI_BASEDIR}"
+
+       if use x86; then
+               doexe storcli
+       elif use amd64; then
+               newexe storcli64 storcli
+       fi
+
+       dosym "${MY_STORCLI_BASEDIR}"/storcli /usr/sbin/storcli
+
+       dodoc "${DOCS[@]}"
+
+       pax-mark m "${D%/}${MY_STORCLI_BASEDIR}"/storcli
+}

Reply via email to